<xsl:stylesheet version="1.0" 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xalan="http://xml.apache.org/xalan" 
        xmlns:pepper="http://www.pepper.com/elements" 
        extension-element-prefixes="pepper">
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    
    <xsl:output method="html" encoding ="utf-8" />
    
    <!-- Catch passed framework parameters in XSL -->
    <xsl:param name="packageId" />
    <xsl:param name="platform" />
    <xsl:param name="design" />
    
    <!--Create XSL variable for use as HTML <title> -->
    <xsl:variable name="sectionName" select="pepper:nameString($packageId,section/@name)"/>
    
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                
                <!-- use XSL sectionName variable to set HTML <title> 
                <title><xsl:value-of select="$sectionName"/></title> -->
                
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                
                <!-- link in framework CSS and application-specific CSS -->
                <link href="{$platform}/resources/styles/styles.css" rel="stylesheet" type="text/css" />
                <link href="{$design}/design/myStyles.css" rel="stylesheet" type="text/css" />
                
                <!-- initialize the Javascript-to-Java bridge -->
                <pepper:initscriptbridge package="{$packageId}" />
                
            </head>
            <body>
            
            <!--create a div with class myPage to contain and position all page contents -->
                <div class="myPage">
                
                    <!-- Display Hello World messages -->
                    <h1 class="Heading">Hello World!</h1>
                    <div class="myFirstStyle">Hello World!</div>
                </div>
            </body>
        </html>
        </xsl:template>
    </xsl:stylesheet>