/*
 * Copyright (c) 2006 Pepper Computer, Inc. All Rights Reserved.
 * PEPPER PROPRIETARY/CONFIDENTIAL.  Use is subject to license terms.
 */
package com.pepper.HW;

import com.pepper.platform.program.AbstractPepperProgram;
import com.pepper.platform.program.PepperProgramConfig;
import com.pepper.platform.program.PepperProgramException;

/**
 *
 * <p>Base class of the Hello World application for the Pepper SDK.</p>
 * <p>Extends AbstractPepperProgram as every application base class must.</p>
*/
public class HelloWorld extends AbstractPepperProgram{
    
    /**
     * <p><code>HelloWorld</code> constructor, which calls <code>super(pid)
     * </code> as required by every base class</p>
     *
     * @param pid the process ID passed to this base class by the framework
     */
    public HelloWorld(Integer pid){
        super(pid);
    }
    
    /**
     * <p>Required method override that registers Actions, if any, with the
     * framework.</p>
     * <code>init()</code> must be overridden in every AbstractPepperProgram base
     * class and must throw a <code>PepperProgramException</code>. Example of
     * Actions registration::<br>
     * <code>registerAction(EDIT_JAVA, new EditJava());</code>
     *
     * @param config is a required parameter passed by the framework and passed
     * to the parent classes <code>init()</code> method, as shown here.
    */
    public void init(PepperProgramConfig config) throws PepperProgramException {
        super.init(config);
    }
}
