<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" 
    xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    
    <xsl:output method="html" encoding ="utf-8" />
    
    <!-- Catch passed framework parameters in XSL -->
    <xsl:param name="packageId" />
    <xsl:param name="platform" />
    <xsl:param name="design" />
    
    <!--Create XSL variable for use as HTML <title> -->
    <xsl:variable name="sectionName" select="pepper:nameString($packageId,section/@name)"/>
    
    <!-- The following template matches the root element of the Page data to begin the transformation -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                
                <!-- use XSL sectionName variable to set HTML <title> -->
                <title><xsl:value-of select="$sectionName"/></title>
                
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                
                <!-- The following can be used to link the Pepper CSS stylesheet into the generated HTML:
                <link href="{$platform}/resources/styles/styles.css" rel="stylesheet" type="text/css" />
                -->
                
                <!-- The following initializes the Javascript bridge and is is required: -->
                <pepper:initscriptbridge package="{$packageId}" />
                
                <!-- The following can be used to include ready-made javascript code                
                <script type="text/javascript" src="{$platform}/resources/commonsection.js"/>
                -->
                
            </head>
            <body>
                <h1>Hello World!</h1>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>