<?xml version="1.0" encoding="UTF-8"?>

<!-- create-filter.xsl - This stylesheet is used by the class CacheFilter to
     create the initial transform used to extract cache data from a page. -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

 <xsl:template match="//cacheRules">
     
  <!-- output the top-level elements -->
  <xsl:element name="xsl:stylesheet">
   <xsl:attribute name="version">1.0</xsl:attribute>

   <xsl:element name="xsl:output">
    <xsl:attribute name="method">xml</xsl:attribute>
    <xsl:attribute name="version">1.0</xsl:attribute>
    <xsl:attribute name="encoding">UTF-8</xsl:attribute>
    <xsl:attribute name="indent">yes</xsl:attribute>
   </xsl:element>

   <!-- output the main template -->

   <xsl:element name="xsl:template">
    <xsl:attribute name="match">//<xsl:value-of select="@match"/></xsl:attribute>

    <xsl:element name="xsl:copy">
      <xsl:element name="xsl:for-each">
        <xsl:attribute name="select">@*</xsl:attribute>
        <xsl:element name="xsl:copy"/>
      </xsl:element>
 
      <!-- if apply exists | is non-null, then create select attribute for apply-templates -->

      <xsl:element name="xsl:apply-templates">
        <xsl:if test="apply">
          <xsl:attribute name="select"><xsl:value-of select="apply"/></xsl:attribute>
        </xsl:if>
      </xsl:element>

    </xsl:element> <!-- closes "copy" -->
   </xsl:element> <!-- end of main "xsl:template" -->

   <!-- foreach to walk thru template instructions -->
  
   <xsl:for-each select="template">
    <xsl:element name="xsl:template">
      <xsl:attribute name="match"><xsl:value-of select="@match"/></xsl:attribute>
      <xsl:element name="xsl:copy">
        <xsl:element name="xsl:apply-templates">

         <xsl:choose>
          <xsl:when test="./apply">
           <xsl:attribute name="select"><xsl:value-of select="./apply"/></xsl:attribute>
          </xsl:when>

          <xsl:otherwise>
           <xsl:attribute name="select">@*|node()</xsl:attribute>
          </xsl:otherwise>
         </xsl:choose>

        </xsl:element> <!-- xsl:apply-templates -->
      </xsl:element> <!-- xsl:copy -->
    </xsl:element> <!-- xsl:template -->
   </xsl:for-each>

   <!-- output last template -->

   <xsl:element name="xsl:template">
    <xsl:attribute name="match">@*|node()</xsl:attribute>
     <xsl:element name="xsl:copy">
      <xsl:element name="xsl:apply-templates">
       <xsl:attribute name="select">@*|node()</xsl:attribute></xsl:element>
     </xsl:element> <!-- end of copy -->

   </xsl:element> <!-- end of last template -->

  </xsl:element> <!-- end of name="xsl:stylesheet" -->
 </xsl:template>
</xsl:stylesheet>
