// Rich Text Editor helper for Mozilla/Gecko
// Originally written by Kevin Roth (kevin@kevinroth.com)

//init variables
var rng;
var currentRTE;
var currFontSize = 2;
var theEditor;

function initPage(editorId) {
    theEditor = editorId;
}

// Output the toolbar button table
function writeEditToolbar(rte, imagesPath) {
    document.writeln('<table class="rteBack" cellpadding="3" cellspacing="0" id="Buttons2_' + rte + '" width="100%">');
    document.writeln('<tr>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontSizeSmall.png" width="16" height="16" alt="Font Size Down" title="Font Size Down" onclick="FormatText(\'' + rte + '\', \'fontdown\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontSizeNormal.png" width="16" height="16" alt="Font Normal" title="Font Normal" onclick="FormatText(\'' + rte + '\', \'fontnormal\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontSizeBig.png" width="16" height="16" alt="Font Size Up" title="Font Size Up" onclick="FormatText(\'' + rte + '\', \'fontup\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontStyleBold.png" width="16" height="16" alt="Bold" title="Bold" onclick="FormatText(\'' + rte + '\', \'bold\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontStyleItalics.png" width="16" height="16" alt="Italic" title="Italic" onclick="FormatText(\'' + rte + '\', \'italic\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'fontStyleUnderline.png" width="16" height="16" alt="Underline" title="Underline" onclick="FormatText(\'' + rte + '\', \'underline\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'left_just.gif" width="25" height="24" alt="Align Left" title="Align Left" onclick="FormatText(\'' + rte + '\', \'justifyleft\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'centre.gif" width="25" height="24" alt="Center" title="Center" onclick="FormatText(\'' + rte + '\', \'justifycenter\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'right_just.gif" width="25" height="24" alt="Align Right" title="Align Right" onclick="FormatText(\'' + rte + '\', \'justifyright\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'justifyfull.gif" width="25" height="24" alt="Justify Full" title="Justify Full" onclick="FormatText(\'' + rte + '\', \'justifyfull\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'hr.gif" width="25" height="24" alt="Horizontal Rule" title="Horizontal Rule" onclick="FormatText(\'' + rte + '\', \'inserthorizontalrule\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'numbered_list.gif" width="25" height="24" alt="Ordered List" title="Ordered List" onclick="FormatText(\'' + rte + '\', \'insertorderedlist\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'list.gif" width="25" height="24" alt="Unordered List" title="Unordered List" onclick="FormatText(\'' + rte + '\', \'insertunorderedlist\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'outdent.gif" width="25" height="24" alt="Outdent" title="Outdent" onclick="FormatText(\'' + rte + '\', \'outdent\', \'\')"></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'indent.gif" width="25" height="24" alt="Indent" title="Indent" onclick="FormatText(\'' + rte + '\', \'indent\', \'\')"></td>');
    document.writeln('<td><img class="rteVertSep" src="' + imagesPath + 'blackdot.gif" width="1" height="20" border="0" alt=""></td>');
    document.writeln('<td><img class="rteImage" src="' + imagesPath + 'link.png" width="27" height="16" alt="Insert Link" title="Insert Link" onclick="FormatText(\'' + rte + '\', \'createlink\')"></td>');
    document.writeln('<td width="100%"></td>');
    document.writeln('</tr>');
    document.writeln('</table>');
	
    // Output the color palette pop-up element - hidden to start with
    document.writeln('<iframe width="154" height="104" id="cp' + rte + '" src="' + imagesPath + 'palette.htm" marginwidth="0" marginheight="0" scrolling="no" style="visibility:hidden; display: none; position: absolute;"></iframe>');
}

// Function to enable rich text editing (a.k.a. "design mode")
function enableEditMode(rte, bodyFontFamily, bodyFontSize) {
    try {
        doc = document.getElementById(rte).contentDocument;
        doc.designMode = "on";
        doc.body.style.fontFamily = bodyFontFamily;
        doc.body.style.fontSize = bodyFontSize;

        // attach a keyboard handler to make keyboard shortcuts work
        oRTE.addEventListener("keypress", kb_handler, true);
    } catch (e) {
        //alert("Error enabling design mode - " + e);
    }
}

// Get the innerHTML as a string
// NOTE: This function is called by the FormElementManager platform object.
function getHTMLSrc(rte) {
    return stripCRLF(document.getElementById(rte).contentDocument.body.innerHTML);
}

// Set the innerHTML as a string
function setHTMLSrc(rte, newHTML) {
    document.getElementById(rte).contentDocument.body.innerHTML = newHTML;
}

function pasteHTML(rte, newHTML) {
    try {
        var origHTML = document.getElementById(rte).contentWindow.document.body.innerHTML;
        var newContent = origHTML + newHTML;
        setHTMLSrc(rte, newContent);
    } catch (e) {
        alert(e);
    }
}

// Set the src attribute to load an external file into the editor
function setHTMLSrcLink(rte, link) {
    document.getElementById(rte).setAttribute('src', link);
}

//Function to format text in the text box
function FormatText(rte, command, option) {

    var oRTE = document.getElementById(rte).contentWindow;

    //BF - Pepper: need this priveldge for copy/paste
    //netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");

    //get currently selected range
    var selection = oRTE.getSelection();
    rng = selection.getRangeAt(selection.rangeCount - 1).cloneRange();

    try {
        if (command == "fontup") {
            // added by Pepper
            currFontSize = currFontSize + 1;
            if (currFontSize >= 6) {
                currFontSize = 6;
            }
            oRTE.focus();
            oRTE.document.execCommand("fontsize", false, currFontSize);
            oRTE.focus();
        } else if (command == "fontdown") {
            // added by Pepper
            currFontSize = currFontSize - 1;
            if (currFontSize <= 0) {
                currFontSize = 0;
            }
            oRTE.focus();
            oRTE.document.execCommand("fontsize", false, currFontSize);
            oRTE.focus();
        } else if (command == "fontnormal") {
            // added by Pepper
            currFontSize = 2;
            oRTE.focus();
            oRTE.document.execCommand("fontsize", false, currFontSize);
            oRTE.focus();
        } else if ((command == "forecolor") || (command == "hilitecolor")) {
            //save current values
            parent.command = command;
            currentRTE = rte;
			
            //position and show color palette
            buttonElement = document.getElementById(command + '_' + rte);
            document.getElementById('cp' + rte).style.left = (buttonElement.offsetTop + 4) + "px";
            document.getElementById('cp' + rte).style.top = (buttonElement.offsetHeight + 4) + "px";
            if (document.getElementById('cp' + rte).style.visibility == "hidden") {
                document.getElementById('cp' + rte).style.visibility = "visible";
                document.getElementById('cp' + rte).style.display = "inline";
            } else {
                document.getElementById('cp' + rte).style.visibility = "hidden";
                document.getElementById('cp' + rte).style.display = "none";
            }
        } else if (command == "createlink") {
            if (rng == "") {
                alert("Please select text for link.");
                return;
            }
            var szURL = prompt("Enter a URL:", "http://");
            if ((szURL == "http://")) {
                szURL = "";
            }
            try {
				//ignore error for blank urls
                oRTE.focus();
                oRTE.document.execCommand("Unlink", false, null);
                oRTE.focus();
                oRTE.document.execCommand("CreateLink", false, szURL);
                oRTE.focus();
            } catch (e) {
                return;
            }
        } else {
            oRTE.focus();
            oRTE.document.execCommand(command, false, option);
            oRTE.focus();
        }
    } catch (e) {
        alert(e);
        return;
    }

}

//Function to set color
function setColor(color) {
    var rte = currentRTE;
    var oRTE = document.getElementById(rte).contentWindow;
	
    var parentCommand = parent.command;

    oRTE.focus();
    oRTE.document.execCommand(parentCommand, false, color);
    oRTE.focus();
    document.getElementById('cp' + rte).style.visibility = "hidden";
    document.getElementById('cp' + rte).style.display = "none";
}

//Function to add image
function AddImage(rte) {
    var oRTE = document.getElementById(rte).contentWindow;

    //get currently selected range
    var selection = oRTE.getSelection();
    rng = selection.getRangeAt(selection.rangeCount - 1).cloneRange();
	
    imagePath = prompt('Enter Image URL:', 'http://');				
    if ((imagePath != null) && (imagePath != "")) {
        oRTE.focus();
        oRTE.document.execCommand('InsertImage', false, imagePath);
        oRTE.focus();
    }
}

function Select(rte, selectname) {
    var oRTE = document.getElementById(rte).contentWindow;

    //get currently selected range
    var selection = oRTE.getSelection();
    rng = selection.getRangeAt(selection.rangeCount - 1).cloneRange();
	
    var idx = document.getElementById(selectname).selectedIndex;
    // First one is always a label
    if (idx != 0) {
        var selected = document.getElementById(selectname).options[idx].value;
        var cmd = selectname.replace('_' + rte, '');
        oRTE.focus();
        oRTE.document.execCommand(cmd, false, selected);
        oRTE.focus();
        document.getElementById(selectname).selectedIndex = 0;
    }
}

function kb_handler(evt) {
    var rte = evt.target.id;
    //contributed by Anti Veeranna (thanks Anti!)
    if (evt.ctrlKey) {
        var key = String.fromCharCode(evt.charCode).toLowerCase();
        var cmd = '';
        switch (key) {
        case 'b': cmd = "bold"; break;
        case 'i': cmd = "italic"; break;
        case 'u': cmd = "underline"; break;
        case 'g': cmd = "unselectAll"; break;
        };

        if (cmd) {
            if (cmd == 'unselectAll') {
                unselectAll();
            } else {
                FormatText(rte, cmd, true);
                //evt.target.ownerDocument.execCommand(cmd, false, true);
                // stop the event bubble
            }

            evt.preventDefault();
            evt.stopPropagation();
        }
    }
}

function stripHTML(oldString) {
    var newString = oldString.replace(/(<([^>]+)>)/ig,"");
	
    //replace carriage returns and line feeds
    newString = newString.replace(/\r\n/g," ");
    newString = newString.replace(/\n/g," ");
    newString = newString.replace(/\r/g," ");
	
    //trim string
    newString = trim(newString);
	
    return newString;
}

function stripCRLF(oldString) {
    //replace carriage returns and line feeds
    var newString = oldString;
    newString = newString.replace(/\r\n/g," ");
    newString = newString.replace(/\n/g," ");
    newString = newString.replace(/\r/g," ");
	
    //trim string
    newString = trim(newString);
	
    return newString;
}


// Removes leading and trailing spaces from the passed string. Also removes
// consecutive spaces and replaces it with one space. If something besides
// a string is passed in (null, custom object, etc.) then return the input.
function trim(inputString) {
    if (typeof inputString != "string") return inputString;
    var retValue = inputString;
    var ch = retValue.substring(0, 1);
	
    while (ch == " ") { // Check for spaces at the beginning of the string
        retValue = retValue.substring(1, retValue.length);
        ch = retValue.substring(0, 1);
    }
    ch = retValue.substring(retValue.length-1, retValue.length);
	
    while (ch == " ") { // Check for spaces at the end of the string
        retValue = retValue.substring(0, retValue.length-1);
        ch = retValue.substring(retValue.length-1, retValue.length);
    }
	
    // Note that there are two spaces in the string - look for multiple spaces within the string
    while (retValue.indexOf("  ") != -1) {
        // Again, there are two spaces in each of the strings
        retValue = retValue.substring(0, retValue.indexOf("  ")) + retValue.substring(retValue.indexOf("  ")+1, retValue.length);
    }
    return retValue; // Return the trimmed string back to the user
}


//function to select all in the document
//Called from the fraemwork
function selectAll() {

    try {
        var oRTE = document.getElementById(theEditor).contentWindow;    
        oRTE.focus();
        oRTE.document.execCommand('selectall', false, null);
        oRTE.focus();
    } catch (e) {
        //alert(e);
        return false;
    }

    return true;
}

//function to unselect all selections in the document
//Called from the framework
function unselectAll() {

    try {
        var oRTE = document.getElementById(theEditor).contentWindow;    
        //get currently selected range
        var selection = oRTE.getSelection();
        selection.collapseToEnd();
        oRTE.focus();

    } catch (e) {
        //alert(e);
        return false;
    }

    return true;
}

//Called from framework
function copySelection() {
    //must kick off a timer to do the work
    //or else we get a failure trying to enable
    //UniversalXPConnect privilege if this method
    //is called from Java
    setTimeout('copySelectionImpl()', 5);
    return true;
}

function copySelectionImpl() {
   try {
       //alert('starting copy');
       netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
        var oRTE = document.getElementById(theEditor).contentWindow;    
        oRTE.focus();
        oRTE.document.execCommand('copy', false, null);
        oRTE.focus();
    } catch (e) {
        //alert(e);
        return false;
    }

   //alert('returning true');
    return true;
}

//Called from framework
function cutSelection() {
    //must kick off a timer to do the work
    //or else we get a failure trying to enable
    //UniversalXPConnect privilege if this method
    //is called from Java
    setTimeout('cutSelectionImpl()', 5);
    return true;
}

function cutSelectionImpl() {
   try {
       //alert('starting cut');
       netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
        var oRTE = document.getElementById(theEditor).contentWindow;    
        oRTE.focus();
        oRTE.document.execCommand('cut', false, null);
        oRTE.focus();
    } catch (e) {
        //alert(e);
        return false;
    }

   //alert('returning true');
    return true;
}

function paste() {
    //must kick off a timer to do the work
    //or else we get a failure trying to enable
    //UniversalXPConnect privilege if this method
    //is called from Java
    setTimeout('pasteImpl()', 5);
    return true;
}

function pasteImpl() {
   try {
       //alert('starting paste');
       netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
        var oRTE = document.getElementById(theEditor).contentWindow;    
        oRTE.focus();
        oRTE.document.execCommand('paste', false, null);
        oRTE.focus();
    } catch (e) {
        //alert(e);
        return false;
    }

   //alert('returning true');
    return true;
}