<?xml version="1.0" encoding="utf-8"?>
<!-- User settings page stylesheet, (c) 2005 Pepper Computer, Inc. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    <xsl:output method="html"/>
    <xsl:param name="pageNumber" select="'1'" />
    <xsl:param name="pagesInSection" select="'1'" />
    <xsl:param name="arch" select="'PC'" />
    <xsl:param name="packageId" />
    <xsl:param name="design" />
    <xsl:param name="platform" />
    <xsl:param name="dataDir" />
    <xsl:param name="setup" />
    <xsl:param name="voip" select="'false'" />
    <xsl:template match="/">
        <xsl:variable name="labelSignon" select="pepper:textString($packageId,'Settings.Personal.IMSignon')"/>
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
        <xsl:variable name="pageName" select="pepper:nameString($packageId,page/@name)" />
        <title><xsl:value-of select="$pageName"/></title>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <link rel="stylesheet" type="text/css" href="{$platform}/resources/styles/styles.css"></link>
                <xsl:if test="$setup = 'true'">
                    <link rel="stylesheet" type="text/css" href="{$design}/design/setup.css"/>
                </xsl:if>

                <pepper:initscriptbridge package="{$packageId}" oninit="addClickHandler();"/>

                <script language="JavaScript" type="text/javascript"> 
                        <![CDATA[
                        // Function to toggle the visibility of the advanced settings
                        function toggleAdvanced() {
                                for (var i = 1; i <= 3; i++) {
                                        var el = document.getElementById('advanced'+i);
                                        if (el.style.display == 'none') {
                                                el.style.display = 'table-row';
                                        } else {
                                                el.style.display = 'none';
                                        }
                                        }
                        }
                        ]]> 
                </script>

                <script type="text/javascript" src="{$platform}/resources/commonsection.js">
                        function foo() {
                                //DO NOT REMOVE
                        }
                </script>

            </head>
            <body class="PageBody">
                <!-- Display the appropriate page bar -->
                <xsl:choose>
                    <xsl:when test="$setup = 'true'">
                        <pepper:pagebar class="PageBar" id="pb-{$packageId}" package="{$packageId}">
                            <pepper:pagebarentry key="Setup.Next" action="NextPage" />
                            <pepper:pagebarentry key="Setup.Prev" action="PrevPage" />
                            <pepper:pagebarentry key="PageBar.WiFi.Advanced" script="toggleAdvanced();"/>
                        </pepper:pagebar>
                    </xsl:when>
                    <xsl:otherwise>
                        <pepper:pagebar class="PageBar" id="pb-{$packageId}" package="{$packageId}">
                            <pepper:pagebarentry key="PageBar.Done" action="ShowTabContents" />
                            <pepper:pagebarentry key="PageBar.WiFi.Advanced" script="toggleAdvanced();"/>
                            <xsl:if test="$voip = 'true'">                            
                            <pepper:pagebarnextpreventry key="PageBar.Page" 
                                args="{$pageNumber},{$pagesInSection},&#160;"/>
                            </xsl:if>
                        </pepper:pagebar>
                    </xsl:otherwise>
                </xsl:choose>
                <!-- Display the page contents -->
                <div class="PageContent">
                    <div class="Content">
                            <!-- Display the page title -->
                            <div class="Title">
                                <pepper:textString package="{$packageId}" key="NameKey.Personal.Description"/>
                            </div>
                            <form>
                            <!-- Display the local IM settings -->
                                <table cellpadding="2" cellspacing="0" >
                                    <tr>
                                        <td colspan="3" class="Heading">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.LabelName"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="Label" width="120">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.Name"/>
                                        </td>
                                        <td class="Text">
                                            <input type="text" value="{page/user/userName}" id="userName" 
                                                xpath="page/user/userName" class="Field"/>
                                        </td>
                                 <xsl:choose>
                                     <xsl:when test="$setup = 'true'">
                                        <td/>
                                     </xsl:when>
                                     <xsl:otherwise>
                                        <td>
                                            <input type="button" id="localSignonButton" value="{$labelSignon}" 
                                                onClick="bridge.action('SignOnLocal')" />
                                        </td>
                                    </xsl:otherwise>
                                </xsl:choose>

                                    </tr>
                                    <tr id="advanced1" style="display:none;">
                                    <td></td>
                                        <td class="Text" valign="top" colspan="2">
                                            <pepper:checkbox id="localSignonCheckbox" class="Text" 
                                                value="{page/user/localAutoSignon}" xpath="page/user/localAutoSignon" />
                                        <label for="localSignonCheckbox">
                                                <pepper:textString package="{$packageId}" key="Settings.Personal.LocalAutoSignon"/>
                                        </label>
                                        </td>
                                    </tr>
                                </table>
                                <!-- Display AOL IM settings -->
                                <table cellpadding="2" cellspacing="0">
                                    <tr>
                                        <td colspan="3" class="Heading">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.LabelIM"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="Label" width="120">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.IMName"/>
                                        </td>
                                        <td>
                                            <input type="text" value="{page/user/aolName}" id="aolName" 
                                                xpath="page/user/aolName" class="Field"/>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="Label">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.IMPassword"/>
                                        </td>
                                        <td>
                                            <input type="password" value="{page/user/aolPassword}" name="aolPwd" 
                                                xpath="page/user/aolPassword" class="Field"/>
                                        </td>
                                 <xsl:choose>
                                     <xsl:when test="$setup = 'true'">
                                        <td/>
                                     </xsl:when>
                                     <xsl:otherwise>
                                        <td>
                                            <!-- NOTE: Do NOT change the value of the id field for this button - the Binder is dependent on it -->
                                            <input type="button" value="{$labelSignon}" name="aolSignon" 
                                                onClick="bridge.action('SignOnAOL')" />
                                        </td>
                                     </xsl:otherwise>
                                </xsl:choose>
                                    </tr>
                                    <tr id="advanced2" style="display:none;">
                                        <td class="Label">
                                            <pepper:textString package="{$packageId}" key="Settings.Personal.IMPort"/>
                                        </td>
                                        <td>
                                            <input type="text" value="{page/user/aolPort}" id="aolPort" 
                                                xpath="page/user/aolPort" class="Field"/>
                                        </td>
                                    </tr>
                                    <tr id="advanced3" style="display:none;">
                                    <td></td>
                                        <td class="Text" colspan="2">
                                            <pepper:checkbox id="aolSignonCheckbox" width="25" height="18" class="Text" 
                                                value="{page/user/aolAutoSignon}" xpath="page/user/aolAutoSignon" />
                                        <label for="aolSignonCheckbox">
                                                <pepper:textString package="{$packageId}" key="Settings.Personal.AIMAutoSignon"/>
                                        </label>
                                        </td>
                                    </tr>
                                        <xsl:if test="not($setup = 'true')">
                                            <tr>
                                                <td colspan="3">
                                                    <!-- This is the direct link to the new user signup page on aim.com.  The main page at aim.com is too confusing, and the 
                                                         user signup link is located a ways down the page and requires scrolling on the Pad to even find it.  -->
                                                    <a class="Text" href="http://my.screenname.aol.com/_cqr/login/login.psp?seamless=n&amp;createSn=1&amp;sitedomain=www.aim.com&amp;siteState=http://www.aim.com/get_aim/congratsd2.adp&amp;triedAimAuth=y&amp;promo=380464"> 
                                                        <img src="{$design}/design/images/aim.png" alt="" border="0"/> &#160; 
                                                        <pepper:textString package="{$packageId}" key="Settings.Personal.IMNewUser"/> 
                                                    </a>
                                                </td>
                                            </tr>
                                    </xsl:if>
                                </table>
                            </form>
                            <xsl:choose>
                                <xsl:when test="$setup = 'true'">
                                    <!-- Display some help text -->
                                    <div class="SettingsHelp">
                                        <xsl:value-of select="pepper:textString($packageId, concat('Settings.Personal.Setup.Help.', $arch))" 
                                                disable-output-escaping="yes"/>
                                     </div>

                        <!-- Display next page prompt for Setup Helper -->
                                <input type="button" onmouseup="bridge.action('NextPage');" class="NextPrompt"
                                   value="{pepper:textString($packageId, concat('Setup.IM.NextPrompt.',$arch))}"/> 
                                </xsl:when>
                                <xsl:otherwise>
                                    <!-- Display some help text -->
                                    <div class="SettingsHelp">
                                        <xsl:value-of select="pepper:textString($packageId, concat('Settings.Personal.Help.', $arch))" 
                                                disable-output-escaping="yes"/>
                                     </div>
                                    </xsl:otherwise>
                                </xsl:choose>
                            <!-- Display a graphic image -->
                            <!--<img src="{$design}/{page/thumbImage}" class="Graphic"/>-->
                        </div>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>