<?xml version="1.0" encoding="UTF-8"?>

<!-- Standard Clipping page stylesheet, (c) 2003-2005 Pepper Computer, Inc. -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xalan="http://xml.apache.org/xalan" xmlns:pepper="http://www.pepper.com/elements" 
  extension-element-prefixes="pepper">
  <xalan:component prefix="pepper">
    <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
  </xalan:component>
  <xsl:output method="html"/>

  <xsl:param name="pagesInSection"/>
  <xsl:param name="pageNumber"/>
  <xsl:param name="packageId" />
  <xsl:param name="platform" />
  <xsl:param name="printMode" select="'false'" />

  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="stylesheet" type="text/css" href="{$platform}/resources/styles/styles.css"></link>
        <script type="text/javascript" language="JavaScript" src="{$platform}/resources/editor/editor.js"> 
          function fooBar() { //DO NOT REMOVE } 
        </script>
        <script type="text/javascript" language="JavaScript"> 
          function initFields() { 
          // Set today's date in the date field
          var dateField = document.getElementById('datefield');
          if (dateField.value == '') {
            var date = new Date();
            dateField.value = date.toLocaleString();
          }

          var msgText = bridge.evalXPath('page/entryData'); 
          setHTMLSrc('rte1', msgText); } 
        </script>
        <pepper:initscriptbridge package="{$packageId}" oninit="initFields();"/>
      </head>
      
      <body class="PageBody">
        
        <!-- Display the page bar -->
        <pepper:pagebar class="PageBar" id="pb-{$packageId}" package="{$packageId}">
          <pepper:pagebarentry key="PageBar.Done" action="ShowTabContents" />
          <pepper:pagebarentry systemimage="delete.png" key="PageBar.Delete" action="DeletePage" />
          <pepper:pagebarnextpreventry />
        </pepper:pagebar>
        
        <!-- Display the header fields -->
        <div class="PageTitle">
          <table width="100%" cellpadding="0" cellspacing="0">
            <form name="headerFields">
              <tr>
                <td>
                  <xsl:choose>
                    <xsl:when test="$printMode = 'false'">
                      <input type="text" value="{page/@name}" xpath="page/@name" class="PageTitleField" />
                    </xsl:when>
                    <xsl:otherwise>
                      <div class="PageTitleField">
                        <xsl:value-of select="page/@name" />
                      </div>
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
                <td width="4"></td>
                <td align="right" width="250">
                  <xsl:choose>
                    <xsl:when test="$printMode = 'false'">
                      <input type="text" value="{page/date}" xpath="page/date" class="PageTitleField" id="datefield" />
                    </xsl:when>
                    <xsl:otherwise>
                      <div class="PageTitleField">
                        <xsl:value-of select="page/date" />
                      </div>
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </form>
          </table>
        </div>
        <!-- Display the text entry field -->
        <div class="PageContentPlain">
	          <xsl:choose>
	            <xsl:when test="$printMode = 'false'">
	              <script language="JavaScript" type="text/javascript"> 
	                initRTE(
	                	'<xsl:value-of select="$platform"/>/resources/editor/', 
	                	'<xsl:value-of select="$platform"/>/resources/editor/', 
	                	'<xsl:value-of select="$platform"/>/resources/editor/rte.css'); 
	                writeRichText('rte1', '', '100%', '100%', true, 
	                	<xsl:value-of select="page/readOnly"/>, 'page/entryData'); 
	              </script>
	            </xsl:when>
	            <xsl:otherwise>
	              <div>
	                <xsl:value-of select="page/entryData" disable-output-escaping="yes"/>
	              </div>
	            </xsl:otherwise>
	          </xsl:choose>
	        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>