<?xml version="1.0" encoding="UTF-8"?>

<!-- Standard Help section stylesheet, (c) 2003-2005 Pepper Computer, Inc. -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan" 
  xmlns:pepper="http://www.pepper.com/elements" extension-element-prefixes="pepper">
  <xalan:component prefix="pepper">
    <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
  </xalan:component>
  <xsl:output method="xml" media-type="application/vnd.mozilla.xul+xml" 
    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

  <xsl:param name="packageId" />
  <xsl:param name="platform" />
  <xsl:param name="arch" select="'PC'" />
  
    <xsl:template match="/">
    	<xsl:text disable-output-escaping="yes">&lt;?xml-stylesheet href="chrome://global/skin/" type="text/css"?&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;?xml-stylesheet </xsl:text>href="<xsl:value-of select="$platform"/>/resources/styles/styles.css" type="text/css"<xsl:text disable-output-escaping="yes">?&gt;</xsl:text>
        
        <window xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
            title="{pepper:nameString($packageId, section/@name)}">
                <script type="text/javascript" src="{$platform}/resources/commonsection.js"/>
	        <pepper:initscriptbridge package="{$packageId}" oninit="initPage('contenttree', 'thetreechildren', 'pageframe','null','false');"/>

            <!-- Display the page bar -->
            <pepper:pagebar class="PageBar" id="pb-{$packageId}" package="{$packageId}">
  				<pepper:pagebarentry /> <!-- required so page bar is displayed -->
            </pepper:pagebar>

            <!-- Display the section page contents as a tree listing all the help page titles -->
            <box flex="1" class="PageContent" orient="horizontal">
                <tree class="Content HelpContent" flex="1" hidecolumnpicker="true" id="contenttree" seltype="single" onselect="previewPage();">
                    <treecols>
                        <treecol flex="1" label="{pepper:nameString($packageId, 'NameKey.HelpTopics')}" 
                            id="name" class="Content"/>
                    </treecols>
                    <treechildren id="thetreechildren">
                        <!-- Display the title from each page entry as a tree item. 
                            Only include pages for the current device's hardware architecture. -->
                        <xsl:for-each select="section/page[not(@arch) or starts-with($arch, @arch)]">
                            <treeitem id="{@id}">
                                <treerow>
                                    <treecell label="{pepper:nameString($packageId, @name)}"/>
                                </treerow>
                            </treeitem>
                        </xsl:for-each>
                    </treechildren>
                </tree>
                <!-- Display the help page in this frame. The src attribute is set in showPage() script function -->
                <iframe flex="4" id="pageframe" onload="onFrameLoad(); event.stopPropagation();" class="Content" style="margin-left:0px; border-left:0px;"/>
            </box>
        </window>
    </xsl:template>
</xsl:stylesheet>

