<?xml version="1.0" encoding="UTF-8"?>
<!-- Standard Settings section stylesheet, (c) 2003-2005 Pepper Computer, Inc. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    <xsl:output method="html"/>
    <xsl:param name="packageId" />
    <xsl:param name="packageTitle" />
    <xsl:param name="platform" />
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <link rel="stylesheet" type="text/css" href="{$platform}/resources/styles/styles.css"></link>
                <pepper:initscriptbridge package="{$packageId}"/>
                <title><pepper:textString package="{$packageId}" key="NameKey.Application.Description"/></title>
            </head>
            <body class="PageBody">
                <!-- Display the page bar -->
                <pepper:pagebar class="PageBar" id="pb-{$packageId}" package="{$packageId}">
      				<pepper:pagebarentry /> <!-- required so page bar is displayed -->
                </pepper:pagebar>
                <!-- Display the page contents -->
                <div class="PageContent">
                    <div class="Content">
	                    <xsl:variable name="theSectionId" select="section/@id"/>
	                    <!-- Display the page title -->
	                    <div class="Title">
	                        <pepper:textString package="{$packageId}" key="NameKey.Application.Description"/>
	                    </div>
	                    <table style="cell-spacing:2px; margin-top:10px;">
	                        <!-- Prompt for a new application package name -->
	                        <tr>
	                            <form 
	                                action="javascript:bridge.action('RenamePackage',document.getElementById('packageName').value);">
	                                <td class="Label">
	                                    <pepper:textString package="{$packageId}" key="Settings.Label.Package"/>
	                                </td>
	                                <td>
	                                    <input type="text" id="packageName" value="{$packageTitle}" class="Field"/>
	                                </td>
	                                <td>
	                                    <xsl:variable name="renameText">
	                                        <pepper:textString package='{$packageId}' key='Settings.Button.Rename'/>
	                                    </xsl:variable>
	                                    <input type="button" value="{$renameText}" class="Text" 
	                                        onclick="bridge.action('RenamePackage', document.getElementById('packageName').value);"/>
	                                </td>
	                            </form>
	                        </tr>
	                    </table>
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>